;;;; cl-scopes/config

;;;; Utilities for configuration of scopes services.

(defpackage :scopes/config
  (:use :common-lisp)
  (:export #:base #:make-system-path #:override-keys))

(in-package :scopes/config)

(defclass base () 
  ((override-keys :reader override-keys 
                  :initform nil 
                  :allocation :class)
   (env-prefix :reader env-prefix
               :initarg :env-prefix
               :initform "SCOPES_")
   (env-file :reader env-file
             :initarg :env-file
             :initform nil)))
